Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.wsdl.toJava
Class JavaGeneratorFactory.Writers

    java.lang.Object
      org.apache.axis.wsdl.toJava.JavaGeneratorFactory.Writers

All Implemented Interfaces:
  Generator

Enclosing class:
  JavaGeneratorFactory

protected class JavaGeneratorFactory.Writers
extends java.lang.Object
implements Generator

Class Writers

Version:
  %I%, %G%

Constructor Summary
`protected` | `JavaGeneratorFactory.Writers()`

Method Summary
`void` | `addGenerator(java.lang.Class writer)` Method addGenerator
`void` | `addStuff(Generator baseWriter, javax.wsdl.Definition def, SymbolTable symbolTable)` Method addStuff
`void` | `addStuff(Generator baseWriter, SymTabEntry entry, SymbolTable symbolTable)` Method addStuff
`void` | `generate()` Method generate

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavaGeneratorFactory.Writers

    protected JavaGeneratorFactory.Writers()

Method Detail

### addGenerator

    public void addGenerator(java.lang.Class writer)

  Method addGenerator

  Parameters:
    `writer` -

### addStuff

    public void addStuff(Generator baseWriter,
                         SymTabEntry entry,
                         SymbolTable symbolTable)

  Method addStuff

  Parameters:
    `baseWriter` -
    `entry` -
    `symbolTable` -

### addStuff

    public void addStuff(Generator baseWriter,
                         javax.wsdl.Definition def,
                         SymbolTable symbolTable)

  Method addStuff

  Parameters:
    `baseWriter` -
    `def` -
    `symbolTable` -

### generate

    public void generate()
                  throws java.io.IOException

  Method generate

  Specified by:
    `generate` in interface `Generator`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Web Services Project. All Rights Reserved.